use crate::periph::at28c256::At28C256;
use crate::periph::hm62256::Hm62256;

pub mod backplane;
pub mod program_rom;
pub mod new;
mod tick2;

pub struct RamRomComputer {
    pub(crate) rom: At28C256,
    pub(crate) ram: Hm62256,
    pub(crate) data_bus: u8,
    pub(crate) address_bus: u16,
    pub(crate) read_mode: bool,
}
